%global modname prov

Name:           python-%{modname}
Version:        1.5.1
Release:        3%{?dist}
Summary:        W3C Provenance Data Model supporting PROV-JSON and PROV-XML import/export

License:        MIT
URL:            https://pypi.python.org/pypi/prov
Source0:        https://github.com/trungdong/prov/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
A library for W3C Provenance Data Model supporting PROV-JSON and PROV-XML\
import/export.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-dateutil
BuildRequires:  python2-networkx-core
BuildRequires:  python2-lxml
BuildRequires:  python2-six
BuildRequires:  python2-pydotplus
BuildRequires:  python2-rdflib >= 4.2.1
Requires:       python2-dateutil
Requires:       python2-networkx-core
Requires:       python2-lxml
Requires:       python2-rdflib >= 4.2.1
Requires:       python2-six
Recommends:     python2-pydotplus

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-dateutil
BuildRequires:  python3-networkx-core
BuildRequires:  python3-lxml
BuildRequires:  python3-six
BuildRequires:  python3-pydotplus
BuildRequires:  python3-rdflib >= 4.2.1
Requires:       python3-dateutil
Requires:       python3-networkx-core
Requires:       python3-lxml
Requires:       python3-rdflib >= 4.2.1
Requires:       python3-six
Recommends:     python3-pydotplus

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

sed -i -e '1s|^#!.*$|#!%{__python3}|' %{buildroot}%{_bindir}/*

%check
# Some new requirements
#{__python2} setup.py test
#{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE
%doc AUTHORS.rst HISTORY.rst README.rst
%{python2_sitelib}/%{modname}*

%files -n python3-%{modname}
%license LICENSE
%doc AUTHORS.rst HISTORY.rst README.rst
%{_bindir}/%{modname}-*
%{python3_sitelib}/%{modname}*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Thu Jun 29 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.5.0-5
- use python2- prefix

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 03 2017 Miro Hrončok <mhroncok@redhat.com> - 1.5.0-3
- Require and BuildRequire python3-rdflib >= 4.2.1

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.0-2
- Rebuild for Python 3.6

* Thu Oct 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.5.0-1
- Update to 1.5.0

* Sun Dec 06 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.0-1
- Initial package
